New user self-registration is currently disabled. Please email eigen-core-team @ lists.tuxfamily.org if you need an account.
Bug 1221 - I get tons of error since my distribution upgraded to GCC 6.1.1
I get tons of error since my distribution upgraded to GCC 6.1.1
Status: CONFIRMED
Product: Eigen
Classification: Unclassified
Component: General
3.3 (current stable)
All All
: Normal Compilation Problem
Assigned To: Nobody
:
Depends on: 692
Blocks: 3.4
  Show dependency treegraph
 
Reported: 2016-05-10 00:00 UTC by Alessio Elmi
Modified: 2016-05-19 13:24 UTC (History)
3 users (show)



Attachments
Disable -Wignored-attributes (2.17 KB, patch)
2016-05-18 13:51 UTC, Gael Guennebaud
no flags Details | Diff

Description Alessio Elmi 2016-05-10 00:00:02 UTC
What I experience is that my little program stopped building since the upgrade of gcc to 6.1.1 (now the standard with Archlinux).
I get a lot of "-Wignored-attributes", which turn into breaking the compiling process. However,  turning off any warning "-w" lets me go further, even though I am not sure if it is totally safe.
I also tried latest git sources, with the same results.
The culprit line which always occurs is the following:
/usr/include/eigen3/Eigen/src/Core/DenseCoeffsBase.h:56:30: warning: ignoring attributes on template argument 'Eigen::internal::packet_traits<double>::type {aka __vector(2) double}' [-Wignored-attributes]
Comment 1 Christoph Hertzberg 2016-05-11 07:18:39 UTC
If I see it correctly, these are "only" warnings? Still they must be fixed, but perhaps it is sufficient to fix them for 3.3
I assume they essentially warn for the issue fixed here:
https://bitbucket.org/eigen/eigen/commits/5b40cf4672

I locally made a fix based on meta-packets (see Bug 692 Comment 10), which appeared to work. I unfortunately seem to have lost it while messing with mercurial ... but it weren't too many changes and I can make a more clean re-implementation -- be a bit patient, though.
Comment 2 Gael Guennebaud 2016-05-18 13:51:04 UTC
Created attachment 708 [details]
Disable -Wignored-attributes

What about simply disabling this warning within Eigen as in the attached patch?
Comment 3 Gael Guennebaud 2016-05-19 13:24:43 UTC
I applied the attached changes to make gcc 6 usable:
https://bitbucket.org/eigen/eigen/commits/0b5d0bcb72f7
https://bitbucket.org/eigen/eigen/commits/ad10b2383e48 (3.2)

good enough for 3.3 (IMO)

Note You need to log in before you can comment on or make changes to this bug.